Bug 91626 - Cannot load help pages
Cannot load help pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: libgnome (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-05-26 06:36 EDT by David Allardyce
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-26 17:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Allardyce 2003-05-26 06:36:25 EDT
Description of problem:
redhat-config-network crashed when selecting Help|Contents

Version-Release number of selected component (if applicable):
1.2.0

How reproducible:
Seems to happen all the time.

Steps to Reproduce:
1. Select Help | Contents from the menu

Actual results:
"An unhandled exception has occurred... failed to execute child process mozilla"

Expected results:
The help screen?

Additional info:
Comment 1 David Allardyce 2003-05-26 06:38:22 EDT
Dump from exception dialog box:

Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py:599:on_helpButton_clicked:GError:
Failed to execute child process "mozilla" (No such file or directory)
Traceback (most recent call last):
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 599, in on_helpButton_clicked
GError: Failed to execute child process "mozilla" (No such file or directory)
Comment 2 Harald Hoyer 2003-05-26 07:35:10 EDT
        import gnome
        gnome.url_show("file:" + NETCONFDIR + \
                       "/help/index.html")    

hmm... maybe you have not installed mozilla... nevertheless, htmlview should be
used. Lets hear, what our gnome team has to say about that?
Comment 3 Havoc Pennington 2003-05-30 23:35:28 EDT
I thought I made it use htmlview, but maybe I'm thinking of gnome-libs 1.x instead 
of libgnome.
Comment 4 Máirín Duffy 2005-06-26 17:34:49 EDT
Works now... closing

Note You need to log in before you can comment on or make changes to this bug.